const paths = require('./paths.js')
const npmManager = require('./npm-manager.js')
const csManager = require('./cs-manager.js')

const log = require('@ff0000-ad-tech/debug')('build-source-automator:api')

const installTop = async (context, verbose) => {
	log(`Installing Top`)
	await npmManager.install(context, verbose)
}

const installBuild = async (context, verbose) => {
	log(`Installing Build`)
	await npmManager.install(paths.BUILD(context), verbose)
}

const launchCsApp = async (config, context, verbose) => {
	log(`Launching CS App`)
	return await csManager.launchCreativeServer(config, context, verbose)
}

const compileTraffic = async (config, context, size, verbose) => {
	log(`Compiling Traffic`)
	return await csManager.compile(config, context, size, verbose)
}

module.exports = {
	installTop,
	installBuild,
	launchCsApp,
	compileTraffic
}
